数据提供商: TikHub
抖音单个视频数据
$0.001 / 次调用在 40 秒内响应
通过 TikHub 获取来自抖音的单个视频数据。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/douyin/web/fetch_one_video on Glasser.bash
glasser run -p tikhub -e '/api/v1/douyin/web/fetch_one_video' -i '{"aweme_id":"7372484719365098803"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_one_video","input":{"aweme_id":"7372484719365098803"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作研究简报时,可以查找与你的主题相关的已发布帖子,将它们用作资料来源。
复制此提示词到你的 Agent,查找研究简报所需的帖子。
提示词
Use tikhub:/api/v1/douyin/web/fetch_one_video on Glasser.
Find published content about my topic in the returned posts for a research brief.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"aweme_id"
],
"properties": {
"aweme_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Video id"
},
"need_anchor_info": {
"type": "boolean",
"description": "Whether anchor information is needed, default is False, enabling it will show some anchor information about the video, such as location, merchant information, product showcase, etc., which may increase the interface response time."
}
},
"additionalProperties": false
}json
{
"aweme_id": "7372484719365098803"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.001 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |